export declare type RequestResult = 'OK' | 'ENTITY_NOT_FOUND' | 'ENTITY_DUPLICATION' | 'INTERNAL_SERVER_ERROR' | 'NOT_CORRECT_REQUEST_DATA' | 'ACCOUNT_NOT_ACTIVE' | 'PLACE_NOT_ACTIVE' | 'TABLE_NOT_ACTIVE';
export declare class HttpApiResponse<T> {
    httpCode: number;
    requestResult: RequestResult;
    responseBody: T;
    msg?: string;
    static build<T>(httpCode: number, requestResult: RequestResult, responseBody: T, msg?: string): HttpApiResponse<T>;
}
